Skip to main content
POST
/
billing-accounts
/
{baId}
/
parking-users
Create a Parking User
curl --request POST \
  --url https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "licenseNumber": "<string>",
  "parkingUserId": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "subscriptionAgreementId": 123,
  "costCenter": "<string>",
  "city": "<string>",
  "street": "<string>",
  "houseNumber": "<string>",
  "postalCode": "<string>",
  "co": "<string>"
}
'
import requests

url = "https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users"

payload = {
"licenseNumber": "<string>",
"parkingUserId": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"subscriptionAgreementId": 123,
"costCenter": "<string>",
"city": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
licenseNumber: '<string>',
parkingUserId: 123,
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phoneNumber: '<string>',
subscriptionAgreementId: 123,
costCenter: '<string>',
city: '<string>',
street: '<string>',
houseNumber: '<string>',
postalCode: '<string>',
co: '<string>'
})
};

fetch('https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


123

Authorizations

Authorization
string
header
required

You can get the JWT from the Login endpoint.

Path Parameters

baId
integer<int64>
required

ID of the Billing Account.

Body

application/json
licenseNumber
string

Must not be empty; must not be longer than 10 characters; must contain only numbers and uppercase letters

parkingUserId
integer<int64>
firstName
string
lastName
string
email
string

Must be a valid email address

phoneNumber
string

Must be unique, must start with +, and contain only numerical digits

subscriptionAgreementId
integer<int64>
costCenter
string
city
string
street
string
houseNumber
string
postalCode
string
co
string

Response

201 - */*

Returns the ID of the created parking user

The response is of type integer<int64>.